package com.mortals.xhx.module.feedback.model;

import java.util.List;
import com.mortals.xhx.module.feedback.model.FeedbackFileEntity;
/**
* 绩效反馈附件查询对象
*
* @author zxfei
* @date 2023-07-18
*/
public class FeedbackFileQuery extends FeedbackFileEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 标题 */
    private List<String> titleList;

    /** 标题排除列表 */
    private List <String> titleNotList;
    /** 开始 排序 */
    private Integer sortStart;

    /** 结束 排序 */
    private Integer sortEnd;

    /** 增加 排序 */
    private Integer sortIncrement;

    /** 排序列表 */
    private List <Integer> sortList;

    /** 排序排除列表 */
    private List <Integer> sortNotList;

    /** 开始 置顶 (0.否,1.是) */
    private Integer topStart;

    /** 结束 置顶 (0.否,1.是) */
    private Integer topEnd;

    /** 增加 置顶 (0.否,1.是) */
    private Integer topIncrement;

    /** 置顶 (0.否,1.是)列表 */
    private List <Integer> topList;

    /** 置顶 (0.否,1.是)排除列表 */
    private List <Integer> topNotList;

    /** 图片名称 */
    private List<String> feedbackFileNameList;

    /** 图片名称排除列表 */
    private List <String> feedbackFileNameNotList;
    /** 图片路径 */
    private List<String> feedbackFilePathList;

    /** 图片路径排除列表 */
    private List <String> feedbackFilePathNotList;
    /** 备注说明 */
    private List<String> remarkList;

    /** 备注说明排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<FeedbackFileQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<FeedbackFileQuery> andConditionList;

    public FeedbackFileQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 标题
    * @return titleList
    */
    public List<String> getTitleList(){
        return this.titleList;
    }

    /**
    * 设置 标题
    * @param titleList
    */
    public void setTitleList(List<String> titleList){
        this.titleList = titleList;
    }

    /**
    * 获取 标题
    * @return titleNotList
    */
    public List<String> getTitleNotList(){
        return this.titleNotList;
    }

    /**
    * 设置 标题
    * @param titleNotList
    */
    public void setTitleNotList(List<String> titleNotList){
        this.titleNotList = titleNotList;
    }

    /**
    * 获取 开始 排序
    * @return sortStart
    */
    public Integer getSortStart(){
        return this.sortStart;
    }

    /**
    * 设置 开始 排序
    * @param sortStart
    */
    public void setSortStart(Integer sortStart){
        this.sortStart = sortStart;
    }

    /**
    * 获取 结束 排序
    * @return $sortEnd
    */
    public Integer getSortEnd(){
        return this.sortEnd;
    }

    /**
    * 设置 结束 排序
    * @param sortEnd
    */
    public void setSortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
    }

    /**
    * 获取 增加 排序
    * @return sortIncrement
    */
    public Integer getSortIncrement(){
        return this.sortIncrement;
    }

    /**
    * 设置 增加 排序
    * @param sortIncrement
    */
    public void setSortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
    }

    /**
    * 获取 排序
    * @return sortList
    */
    public List<Integer> getSortList(){
        return this.sortList;
    }

    /**
    * 设置 排序
    * @param sortList
    */
    public void setSortList(List<Integer> sortList){
        this.sortList = sortList;
    }

    /**
    * 获取 排序
    * @return sortNotList
    */
    public List<Integer> getSortNotList(){
        return this.sortNotList;
    }

    /**
    * 设置 排序
    * @param sortNotList
    */
    public void setSortNotList(List<Integer> sortNotList){
        this.sortNotList = sortNotList;
    }


    /**
    * 获取 开始 置顶 (0.否,1.是)
    * @return topStart
    */
    public Integer getTopStart(){
        return this.topStart;
    }

    /**
    * 设置 开始 置顶 (0.否,1.是)
    * @param topStart
    */
    public void setTopStart(Integer topStart){
        this.topStart = topStart;
    }

    /**
    * 获取 结束 置顶 (0.否,1.是)
    * @return $topEnd
    */
    public Integer getTopEnd(){
        return this.topEnd;
    }

    /**
    * 设置 结束 置顶 (0.否,1.是)
    * @param topEnd
    */
    public void setTopEnd(Integer topEnd){
        this.topEnd = topEnd;
    }

    /**
    * 获取 增加 置顶 (0.否,1.是)
    * @return topIncrement
    */
    public Integer getTopIncrement(){
        return this.topIncrement;
    }

    /**
    * 设置 增加 置顶 (0.否,1.是)
    * @param topIncrement
    */
    public void setTopIncrement(Integer topIncrement){
        this.topIncrement = topIncrement;
    }

    /**
    * 获取 置顶 (0.否,1.是)
    * @return topList
    */
    public List<Integer> getTopList(){
        return this.topList;
    }

    /**
    * 设置 置顶 (0.否,1.是)
    * @param topList
    */
    public void setTopList(List<Integer> topList){
        this.topList = topList;
    }

    /**
    * 获取 置顶 (0.否,1.是)
    * @return topNotList
    */
    public List<Integer> getTopNotList(){
        return this.topNotList;
    }

    /**
    * 设置 置顶 (0.否,1.是)
    * @param topNotList
    */
    public void setTopNotList(List<Integer> topNotList){
        this.topNotList = topNotList;
    }


    /**
    * 获取 图片名称
    * @return feedbackFileNameList
    */
    public List<String> getFeedbackFileNameList(){
        return this.feedbackFileNameList;
    }

    /**
    * 设置 图片名称
    * @param feedbackFileNameList
    */
    public void setFeedbackFileNameList(List<String> feedbackFileNameList){
        this.feedbackFileNameList = feedbackFileNameList;
    }

    /**
    * 获取 图片名称
    * @return feedbackFileNameNotList
    */
    public List<String> getFeedbackFileNameNotList(){
        return this.feedbackFileNameNotList;
    }

    /**
    * 设置 图片名称
    * @param feedbackFileNameNotList
    */
    public void setFeedbackFileNameNotList(List<String> feedbackFileNameNotList){
        this.feedbackFileNameNotList = feedbackFileNameNotList;
    }

    /**
    * 获取 图片路径
    * @return feedbackFilePathList
    */
    public List<String> getFeedbackFilePathList(){
        return this.feedbackFilePathList;
    }

    /**
    * 设置 图片路径
    * @param feedbackFilePathList
    */
    public void setFeedbackFilePathList(List<String> feedbackFilePathList){
        this.feedbackFilePathList = feedbackFilePathList;
    }

    /**
    * 获取 图片路径
    * @return feedbackFilePathNotList
    */
    public List<String> getFeedbackFilePathNotList(){
        return this.feedbackFilePathNotList;
    }

    /**
    * 设置 图片路径
    * @param feedbackFilePathNotList
    */
    public void setFeedbackFilePathNotList(List<String> feedbackFilePathNotList){
        this.feedbackFilePathNotList = feedbackFilePathNotList;
    }

    /**
    * 获取 备注说明
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注说明
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注说明
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注说明
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public FeedbackFileQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public FeedbackFileQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public FeedbackFileQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public FeedbackFileQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public FeedbackFileQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public FeedbackFileQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 标题
    * @param title
    */
    public FeedbackFileQuery title(String title){
        setTitle(title);
		return this;
    }

    /**
    * 设置 标题
    * @param titleList
    */
    public FeedbackFileQuery titleList(List<String> titleList){
        this.titleList = titleList;
		return this;
    }

    /**
    * 设置  排序
    * @param sort
    */
    public FeedbackFileQuery sort(Integer sort){
	    setSort(sort);
		return this;
    }
	
	 /**
    * 设置 开始 排序
    * @param sortStart
    */
    public FeedbackFileQuery sortStart(Integer sortStart){
		this.sortStart = sortStart;
		return this;
    }

    /**
    * 设置 结束 排序
    * @param sortEnd
    */
    public FeedbackFileQuery sortEnd(Integer sortEnd){
		this.sortEnd = sortEnd;
		return this;
    }

    /**
    * 设置 增加 排序
    * @param sortIncrement
    */
    public FeedbackFileQuery sortIncrement(Integer sortIncrement){
		this.sortIncrement = sortIncrement;
		return this;
    }

    /**
    * 设置 排序
    * @param sortList
    */
    public FeedbackFileQuery sortList(List<Integer> sortList){
        this.sortList = sortList;
		return this;
        }

        /**
        * 设置 排序
        * @param sortNotList
        */
        public FeedbackFileQuery sortNotList(List<Integer> sortNotList){
        this.sortNotList = sortNotList;
        return this;
        }

    /**
    * 设置  置顶 (0.否,1.是)
    * @param top
    */
    public FeedbackFileQuery top(Integer top){
	    setTop(top);
		return this;
    }
	
	 /**
    * 设置 开始 置顶 (0.否,1.是)
    * @param topStart
    */
    public FeedbackFileQuery topStart(Integer topStart){
		this.topStart = topStart;
		return this;
    }

    /**
    * 设置 结束 置顶 (0.否,1.是)
    * @param topEnd
    */
    public FeedbackFileQuery topEnd(Integer topEnd){
		this.topEnd = topEnd;
		return this;
    }

    /**
    * 设置 增加 置顶 (0.否,1.是)
    * @param topIncrement
    */
    public FeedbackFileQuery topIncrement(Integer topIncrement){
		this.topIncrement = topIncrement;
		return this;
    }

    /**
    * 设置 置顶 (0.否,1.是)
    * @param topList
    */
    public FeedbackFileQuery topList(List<Integer> topList){
        this.topList = topList;
		return this;
        }

        /**
        * 设置 置顶 (0.否,1.是)
        * @param topNotList
        */
        public FeedbackFileQuery topNotList(List<Integer> topNotList){
        this.topNotList = topNotList;
        return this;
        }


	/**
    * 设置 图片名称
    * @param feedbackFileName
    */
    public FeedbackFileQuery feedbackFileName(String feedbackFileName){
        setFeedbackFileName(feedbackFileName);
		return this;
    }

    /**
    * 设置 图片名称
    * @param feedbackFileNameList
    */
    public FeedbackFileQuery feedbackFileNameList(List<String> feedbackFileNameList){
        this.feedbackFileNameList = feedbackFileNameList;
		return this;
    }


	/**
    * 设置 图片路径
    * @param feedbackFilePath
    */
    public FeedbackFileQuery feedbackFilePath(String feedbackFilePath){
        setFeedbackFilePath(feedbackFilePath);
		return this;
    }

    /**
    * 设置 图片路径
    * @param feedbackFilePathList
    */
    public FeedbackFileQuery feedbackFilePathList(List<String> feedbackFilePathList){
        this.feedbackFilePathList = feedbackFilePathList;
		return this;
    }


	/**
    * 设置 备注说明
    * @param remark
    */
    public FeedbackFileQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注说明
    * @param remarkList
    */
    public FeedbackFileQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public FeedbackFileQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public FeedbackFileQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public FeedbackFileQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public FeedbackFileQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public FeedbackFileQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public FeedbackFileQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public FeedbackFileQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public FeedbackFileQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public FeedbackFileQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public FeedbackFileQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public FeedbackFileQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public FeedbackFileQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<FeedbackFileQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<FeedbackFileQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<FeedbackFileQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<FeedbackFileQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}